Bug 665081 - Review Request: perl-Starlet - Simple, high-performance PSGI/Plack HTTP server
Summary: Review Request: perl-Starlet - Simple, high-performance PSGI/Plack HTTP server
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 664910 664980 664982 665005
Blocks: rt4-dependencies-tracker
TreeView+ depends on / blocked
 
Reported: 2010-12-22 16:55 UTC by Ralf Corsepius
Modified: 2011-02-27 08:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-27 08:35:23 UTC
iarnell: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2010-12-22 16:55:28 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Starlet.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Starlet-0.13-1.fc15.src.rpm

Description:
Starlet is a standalone HTTP/1.0 server with keep-alive support, formerly
known as Plack::Server::Standalone::Prefork and
Plack::Server::Standalone::Prefork::Server::Starter.

Comment 1 Iain Arnell 2011-02-26 05:55:32 UTC
+ source files match upstream.  
    222eff2e8e5d69a44a8a3935fb8837cd  Starlet-0.13.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2868586

+ package installs properly.
+ rpmlint has no complaints:
    perl-Starlet.src: W: spelling-error %description -l en_US Prefork -> Preform, Proreform, Prefatory
    2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ final provides and requires are sane:
    perl(Plack::Handler::Starlet)  
    perl(Plack::Server::Standalone::Prefork::Server::Starter) = 0.07
    perl(Starlet) = 0.13
    perl-Starlet = 0.13-1.fc16
    perl(Starlet::Server)  
=
    perl >= 0:5.008_001
    perl(base)  
    perl(Carp)  
    perl(constant)  
    perl(HTTP::Date)  
    perl(HTTP::Status)  
    perl(IO::Socket::INET)  
    perl(List::Util)  
    perl(:MODULE_COMPAT_5.12.3)  
    perl(Parallel::Prefork)  
    perl(Plack)  
    perl(Plack::Handler::Starlet)  
    perl(Plack::HTTPParser)  
    perl(Plack::TempBuffer)  
    perl(Plack::Util)  
    perl(POSIX)  
    perl(Server::Starter)  
    perl(Socket)  
    perl(Starlet)  
    perl(Starlet::Server)  
    perl(strict)  
    perl(Time::HiRes)  
    perl(Try::Tiny)  
    perl(warnings)  
+ %check is present and all tests pass.
    All tests successful.
    Files=4, Tests=94,  4 wallclock secs ( 0.03 usr  0.01 sys +  1.10 cusr  0.22 csys =  1.36 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


I think the description is a little weak. If it were mine, I would rewrite it, but it's up to you:

Starlet is a standalone HTTP/1.0 server with support for keep-alive, prefork, graceful shutdown, hot deploy, fast HTTP processing, and is suitable for running HTTP application servers behind a reverse proxy.

APPROVED.

Comment 2 Ralf Corsepius 2011-02-26 17:11:45 UTC
Thanks for the review, Iain.

The description is what upstream uses (inherited through cpanspec), but you're right, it's improveable - I'll  change the description to your proposal after Git import.


New Package SCM Request
=======================
Package Name: perl-Starlet
Short Description: Simple, high-performance PSGI/Plack HTTP server
Owners: corsepiu
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2011-02-26 22:19:55 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.